Package org.gitana.platform.client.node.type

# Interface Group

All Superinterfaces:
  `AccessControllable`, `Attachable`, `BaseNode`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Node`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `GroupImpl`

public interface Group extends Node

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_PRINCIPAL_DOMAIN`
`static final String`
`FIELD_PRINCIPAL_ID`
`static final String`
`FIELD_PRINCIPAL_NAME`
`static final org.gitana.platform.support.QName`
`QNAME`

### Fields inherited from interface org.gitana.platform.client.node.BaseNode

`FIELD_FEATURES, FIELD_QNAME, FIELD_TYPE_QNAME, SYSTEM_CHANGESET, SYSTEM_DELETED`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`DomainGroup`
`getDomainGroup()`
`String`
`getPrincipalDomainId()`
`String`
`getPrincipalId()`
`String`
`getPrincipalName()`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.node.BaseNode

`addFeature, getBranch, getBranchId, getChangeset, getChangesetId, getFeature, getFeatureIds, getQName, getRepository, getRepositoryId, getTypeQName, hasFeature, isDeleted, removeFeature, touch`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.node.Node

`associate, associate, associate, associate, associations, associations, associations, associations, associations, associations, associations, associations, createTranslation, fileFolderTree, fileFolderTree, fileFolderTree, fileFolderTree, fileFolderTree, findNodes, findNodes, findNodes, getTranslationEditions, getTranslationLocales, listChildren, listChildren, listRelatives, listRelatives, mount, move, move, queryRelatives, queryRelatives, readTranslation, readTranslation, resolvePath, resolvePaths, traverse, unassociate, unassociate, unmount`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### QNAME

static final org.gitana.platform.support.QName QNAME

### FIELD_PRINCIPAL_ID

static final String FIELD_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_NAME

static final String FIELD_PRINCIPAL_NAME

See Also:
  - Constant Field Values

### FIELD_PRINCIPAL_DOMAIN

static final String FIELD_PRINCIPAL_DOMAIN

See Also:
  - Constant Field Values

## Method Details

### getPrincipalId

String getPrincipalId()

### getPrincipalName

String getPrincipalName()

### getPrincipalDomainId

String getPrincipalDomainId()

### getDomainGroup

DomainGroup getDomainGroup()